Qué hacer cuando falla un complemento de WordPress

No cunda el pánico!

Por lo tanto, su sitio no se carga y está viendo algunos mensajes de error confusos como este...

: El parámetro requerido $ids sigue al parámetro opcional $table en /usted/wp-content/plugins/user-login-history/inc/common/helpers/class-db.php 113

advertencia: No se puede modificar la información del encabezado: encabezados ya enviados por (salida iniciada en usted/wp-content/plugins/user-login-history/inc/common/helpers/class-db.php:113) en //wp-incluye/enchufable.php 1083

Este tipo de cosas están sucediendo mucho con las últimas versiones de PHP 8. Un complemento o tema ofensivo está causando que su sitio de WordPress se bloquee porque no está actualizado. Para solucionar esto, debe evitar que se cargue con WordPress.

Use FTP o el administrador de archivos de su proveedor de alojamiento para encontrar el complemento descrito en el error. Una vez que lo localice, cambie el nombre de la carpeta del complemento agregando un solo carácter al final del nombre, como un guión bajo. Como esto…

usted/wp-content/plugins/user-login-history

usted/wp-content/plugins/user-login-history_

Ahora actualice su página de WordPress y debería cargarse sin errores.

Si va a la página del complemento de WordPress, se quejará de que el complemento no se puede cargar. Esto es bueno. Puede trabajar en el problema y cambiarle el nombre, o eliminarlo e instalar una copia nueva. Volver a PHP 7.4 a menudo solucionará el problema.

Deja un comentario

Este sitio usa Akismet para reducir el correo no deseado. Descubra cómo se procesan los datos de sus comentarios.